summaryrefslogtreecommitdiff
path: root/bin/hackers-git-init
diff options
context:
space:
mode:
Diffstat (limited to 'bin/hackers-git-init')
-rwxr-xr-xbin/hackers-git-init28
1 files changed, 28 insertions, 0 deletions
diff --git a/bin/hackers-git-init b/bin/hackers-git-init
new file mode 100755
index 0000000..5e26e7b
--- /dev/null
+++ b/bin/hackers-git-init
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+# Copyright 2017 Luke Shumaker <lukeshu@sbcglobal.net>.
+#
+# This is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this manual; if not, see
+# <http://www.gnu.org/licenses/>.
+
+{
+ set -e
+ shopt -s nullglob
+ mydir="$(dirname "$0")"
+ gitdir="$(ruby -e "load '$mydir/common.rb'; print File.dirname cfg['yamldir']")"
+ if [[ -e "$gitdir/.git" ]] && stat -- "$gitdir"/users/*.yml 2>/dev/null; then
+ exit 0
+ fi
+ install --directory --owner=git --group=git "$gitdir"
+ sudo -u git git clone git://git.parabola.nu/hackers.git "$gitdir"
+}